Subject: Draft of Revised charter

From: Olafur Gudmundsson <[email-masked]>
Date: Wed, 14 Mar 2001 13:47:52 -0500 (EST)

Comments please

	Olafur

DNSEXT DNS Extensions Working group
---------------------------------------------------
 
 Charter 
 Last Modified: 14-March-2001
 
 Current Status: Active Working Group (being rechartered)
 
 Chair(s):
     Randy Bush <[email-masked]>
     Olafur Gudmundsson <[email-masked]>
 
 Internet Area Director(s): 
     Thomas Narten  <[email-masked]>
     Erik Nordmark <[email-masked]>
 
 Internet Area Advisor: 
     Erik Nordmark <[email-masked]>
     
 Mailing Lists: 
     General Discussion: [email-masked]
     To Subscribe:       [email-masked]
     Archive:		 ftp://ftp.ops.ietf.org/pub/lists
 
Description of Working Group:

DNS is originally specified in
RFC's 1034 and 1035, with subsequent updates.  Within the scope of
this WG are protocol issues, including message formats, message
handling, and data formats. New work items and milestones may be added
from time-to-time with the approval of the Working Group and the IESG.

Issues surrounding the operation of DNS, recommendations concerning
the configuration of DNS servers, and other issues with the use of the
protocol are out of this Working Group's charter.  These issues are
considered in other venues, such as operational issues in the DNS
Operations Working Group.

Broad topics under consideration in DNSEXT are dynamic update, notify,
zone transfers, security and adjustments to address the requirements
of IPv6 addressing. Other issues that the working group will entertain
are topics related to protocol changes to support for languages that
can not be represented by US-ASCII. Security topics, mostly inherited
from the erstwhile DNS Security Extensions Working Group, will be
addressed in cooperation with the DNS Operations Working Group.

The principal task within this Working Group is to advance several
documents describing proposed extensions to DNS.

Specific work items are:
      o Protocol clarifications and corrections for DNSSEC
      o DNS clarification and extensions
	  DNS Server requirments
	  DNS Resolver requirements
      o IPv6 support in DNS records and IPv6 DNS services
      o Specification of multicast DNS service 
	  Local link Multicast without DNS servers
	  Enterprice wide with DNS servers
      o Extensions to DNS protocol required for Internationalized
        Domain Names. 

New work items may be added from time-to-time with the approval of the
Working Group and the IESG. 

Goals and Milestones:

  Where there is no milestone for a work item mentioned above,
  the working group has not yet decided upon the priority for
  the item, or, in some cases, whether active work will be undertaken,
  and no target milestone has yet been set.

 Apr 01  Advance last updates for RFC2535 to IESG
 Apr 01	 Advance SRV to draft standard. 2
 Apr 01  Advance AXFR clarify to IESG
 Apr 01  RFC1995bis avanced to Draft standard
 Apr 01  Start rewrite of RFC2535 and related docs to reflect updates. 
 May 01  Advance Notify (RFC19
 May 01  Forward Unknown types to IESG
 Jun 01  Advance TSIG to Draft standard.
 Jun 01  Advance TKEY to Draft standard.
 Jun 01  Advance Clarify to Draft Standard
 Jul 01  Determine fate of "DNSSEC Opt-in plans"
 Jul 01  First WG last call on RFC2535-bis
 Jul 01  Advance RFC2308 (Neg Caching) to draft Standard
 Sep 01  Dynamic Update-bis advanced to IESG. 
 Oct 01  Forward RFC2535-bis to IESG.
 Oct 01	 Advance Secure Update RFC3007-bis to Draft standard.
 Dec 01	 Forward Server requirements to IESG
 Dec 01  Forward Iquery obsolete to IESG. 
 Feb 02  Forward IPv6 Dynamic update guidelines to IESG. 

to unsubscribe send a message to [email-masked] with
the word 'unsubscribe' in a single line as the message text body.

---

From: Erik Nordmark <[email-masked]>
Date: Thu, 15 Mar 2001 12:40:15 +0100 (CET)

>       o Protocol clarifications and corrections for DNSSEC

Since the question recently came up it might make sense to add to the above
bullet:
	  Initially these clarifications will be done as separate RFCs
	  which will later be folded into a revised RFC 2535 etc.

>  Apr 01  Advance last updates for RFC2535 to IESG

Add "as separate specifications"

>  Apr 01  Start rewrite of RFC2535 and related docs to reflect updates. 

"to reflect the updates that have already been approved as RFCs"?
(If the intent is that this work be 100% editorial, i.e. that the
fixes that impact implementations have already been specified in
RFCs, it would make sense to state that very explicitly to avoid
lots of new requests for tweaks.)

>  May 01  Advance Notify (RFC19

Missing characters at end of line.

  Erik